Logo
OpenScaler

List All Firewalls

Can do two things :

  • list firewalls used by user or by project
  • list resources associated with firewall
GET
/v1/network/firewalls

Authorization

AuthorizationRequiredBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Query Parameters

project_idRequiredstring

ID of the project used to filter results.

curl -X GET "https://api.alpha.openscaler.net/v1/network/firewalls?project_id=default" \
  -H "Authorization: Bearer <token>"

Firewall list based on requested filters.

{
  "firewall": {
    "name": "firewall",
    "status": "succeeded",
    "inbound_rules": [
      {
        "protocol": "tcp",
        "ports": "80",
        "sources": {
          "load_balancer_uids": [
            "4de7ac8b-495b-4884-9a69-1050c6793cd6"
          ]
        }
      },
      {
        "protocol": "tcp",
        "ports": "22",
        "sources": {
          "tags": [
            "gateway"
          ],
          "addresses": [
            "18.0.0.0/8"
          ]
        }
      }
    ],
    "outbound_rules": [
      {
        "protocol": "tcp",
        "ports": "80",
        "destinations": {
          "addresses": [
            "0.0.0.0/0",
            "::/0"
          ]
        }
      }
    ],
    "created_at": "2017-05-23T21:24:00Z",
    "vm_ids": [
      8043964
    ],
    "tags": [],
    "pending_changes": [],
    "$id": "bb4b2611-3d72-467b-8602-280330ecd65c"
  }
}